Campaign contacts
Add Contacts
Upsert contacts to a campaign by ID or external_id.
Use campaign_id=“default” to add contacts without a campaign (ad-hoc calls). Updates contacts if id or external_id matches, inserts otherwise.
Contacts must include phone_numbers as a pre-validated E.164 list.
POST
/
campaign
/
campaigns
/
{campaign_id}
/
contacts
Add Contacts
curl --request POST \
--url https://api.anyreach.ai/campaign/campaigns/{campaign_id}/contacts \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"external_id": "<string>",
"phone_numbers": [],
"timezone": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"agent_id": "<string>",
"agent_config": {},
"agent_number": "<string>",
"agent_version": 123,
"initial_context": "<string>",
"data": {}
}
]
}
'import requests
url = "https://api.anyreach.ai/campaign/campaigns/{campaign_id}/contacts"
payload = { "contacts": [
{
"external_id": "<string>",
"phone_numbers": [],
"timezone": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"agent_id": "<string>",
"agent_config": {},
"agent_number": "<string>",
"agent_version": 123,
"initial_context": "<string>",
"data": {}
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
external_id: '<string>',
phone_numbers: [],
timezone: '<string>',
scheduled_at: '2023-11-07T05:31:56Z',
agent_id: '<string>',
agent_config: {},
agent_number: '<string>',
agent_version: 123,
initial_context: '<string>',
data: {}
}
]
})
};
fetch('https://api.anyreach.ai/campaign/campaigns/{campaign_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": 1,
"updated": 1,
"failed": [],
"warnings": [],
"contact_ids": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Body
application/json
Maximum array length:
1000Show child attributes
Show child attributes
⌘I
Add Contacts

